<?php
// $Id:
/**
 * @file
 * media_portfolio_theme.inc
 *
 * Created by: william roboly
 * Date: 2008-03-31
 * (c) Copyright 2008 Openject Consulting. All Rights Reserved. 
 */

/****************************************************************************
 *
 * Theme Functions
 *
 ****************************************************************************/

/**
 * undocumented function
 *
 * @param $uid
 *    integer value of the User ID
 *
 * @return $output
 *    Fully rendered HTML output of the Content types available to the user.
 **/
function theme_media_portfolio_display_content($uid) {
  $result       = '';
  
  $data_rows    = media_portfolio_user_profile_rows($uid);
  $data_by_type = media_portfolio_group_data_by_type($data_rows);
  
  if (count($data_by_type)) {
    foreach($data_by_type as $type => $rows) {
      if (count($rows)) {
        $result .= theme(
          'table', 
          array(t('title'), t('created')), 
          $rows
        );
      }
    }
  }

  return $result;  

}

?>